MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030764Open CASCADE[OCCT] OCCT:Codingpublic2019-06-04 09:072019-06-08 13:21
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC10++ 2010OS Version64 bit
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030764: Coding - warnings in Image_AlienPixMap.cxx when built with MSVC10
DescriptionWhen compiling with MSVC 10 with CMake with default options (all USE_ options are OFF), warnings are generated in Image_AlienPixMap.cxx:

1>c:\Program Files (x86)\Microsoft Visual Studio 10.0\VC\include\stdint.h(72): warning C4005: 'INT8_MIN' : macro redefinition
1> C:\Program Files (x86)\Microsoft SDKs\Windows\v7.0A\include\intsafe.h(144) : see previous definition of 'INT8_MIN'

...
Steps To ReproduceBuild OCCT with MSVC2010
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0029055closedbugmaster Visualization, Image_AlienPixMap - fallback using Wincodec 

-  Notes
(0084790)
git (administrator)
2019-06-04 09:22

Branch CR30764 has been created by abv.

SHA-1: 0b132a098f9a83ae21398948359997f77b269658


Detailed log of new commits:

Author: abv
Date: Tue Jun 4 09:21:28 2019 +0300

    0030764: Coding - warnings in Image_AlienPixMap.cxx when built with MSVC10
    
    Disable warnings when including system headers (conflict between VS 2010 and Windows SDK definitions).
(0084791)
abv (manager)
2019-06-04 09:22

Fix is pushed to branch CR30764, please review.
(0084899)
bugmaster (administrator)
2019-06-05 18:30

Fix has been tested in framework of WEEK-23 branch

Combination -
OCCT branch : WEEK-23
master SHA - 75e136f6c99fb9327a63f98320f4c835d7cfba4c
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : WEEK-23 SHA - c337118ac41004248abf27585e4c0e972f1a923e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16201.04000000019 / 16313.930000000051 [-0.69%]
Products
Total CPU difference: 10536.310000000076 / 10490.14000000005 [+0.44%]
Windows-64-VC14:
OCCT
Total CPU difference: 17578.765625 / 17714.90625 [-0.77%]
Products
Total CPU difference: 12055.0 / 12054.984375 [+0.00%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0084960)
git (administrator)
2019-06-08 13:21

Branch CR30764 has been deleted by inv.

SHA-1: 0b132a098f9a83ae21398948359997f77b269658

- Related Changesets
occt: master 0616aa9e
Timestamp: 2019-06-04 06:21:28
Author: abv
Committer: bugmaster
Details ] Diff ]
0030764: Coding - warnings in Image_AlienPixMap.cxx when built with MSVC10

Disable warnings when including system headers (conflict between VS 2010 and Windows SDK definitions).
mod - src/Image/Image_AlienPixMap.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-06-04 09:07 abv New Issue
2019-06-04 09:07 abv Assigned To => kgv
2019-06-04 09:22 git Note Added: 0084790
2019-06-04 09:22 abv Note Added: 0084791
2019-06-04 09:22 abv Status new => resolved
2019-06-04 09:22 abv Steps to Reproduce Updated View Revisions
2019-06-04 09:28 kgv Assigned To kgv => bugmaster
2019-06-04 09:28 kgv Status resolved => reviewed
2019-06-04 09:28 kgv Product Version => 7.3.0
2019-06-04 09:28 kgv Relationship added child of 0029055
2019-06-04 09:28 kgv Product Version 7.3.0 => 7.2.0
2019-06-04 09:29 kgv OS => VC10++ 2010
2019-06-04 09:29 kgv OS Version => 64 bit
2019-06-04 09:29 kgv Platform => Windows
2019-06-04 17:32 bugmaster Test case number => Not required
2019-06-05 18:30 bugmaster Note Added: 0084899
2019-06-05 18:30 bugmaster Status reviewed => tested
2019-06-08 13:11 bugmaster Changeset attached => occt master 0616aa9e
2019-06-08 13:11 bugmaster Status tested => verified
2019-06-08 13:11 bugmaster Resolution open => fixed
2019-06-08 13:21 git Note Added: 0084960


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker